jackrabbit-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Sridhar Raman" <sridhar.ra...@gmail.com>
Subject Unsupported language xpath in 1.2.1?
Date Tue, 06 Feb 2007 08:40:26 GMT
I am moving from Jackrabbit 1.1.1 to 1.2.1. Is there any specific change
that I need to make in the code to make it work?

I have put these 3 jars as part of the buildpath.
jackrabbit-core-1.2.1.jar
jackrabbit-api-1.2.1.jar
jackrabbit-jcr-commons-1.2.1.jar
And the project builds properly.

But when I run the program, I get this exception:
javax.jcr.query.InvalidQueryException: Unsupported language: xpath
    at
org.apache.jackrabbit.core.query.QueryTreeBuilderRegistry.getQueryTreeBuilder
(QueryTreeBuilderRegistry.java:84)
    at org.apache.jackrabbit.core.query.QueryParser.parse(QueryParser.java
:53)

It originates at this line:
try
{
    query = qm.createQuery(dimquery, Query.XPATH);
}
catch (Exception e)
{
    logger.error(e);
}

Should the query language be specified in a different way in this version? I
ask this because I haven't faced this problem before.

Thanks in advance,
Sridhar

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message